From 746f488371e0742019267a4aba2df871f1678d8d Mon Sep 17 00:00:00 2001
From: Martin Finkel <me@martinfinkel.com>
Date: Mon, 21 Sep 2020 16:10:26 +0200
Subject: [PATCH 1/1] CI: Add arm64 uwp job

---
 extras/ci/gitlab-ci.yml | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/extras/ci/gitlab-ci.yml b/extras/ci/gitlab-ci.yml
index 0f72e15d..463c4222 100644
--- a/extras/ci/gitlab-ci.yml
+++ b/extras/ci/gitlab-ci.yml
@@ -43,6 +43,11 @@ variables:
         HOST_ARCH: x86_64
         TRIPLET: $HOST_ARCH-w64-mingw32
 
+.variables-uwp-arm64: &variables-uwp-arm64
+        SHORTARCH: arm64
+        HOST_ARCH: aarch64
+        TRIPLET: $HOST_ARCH-w64-mingw32
+
 .variables-macos: &variables-macos
         VLC_PATH: /Users/videolanci/sandbox/bin
         VLC_FORCE_KERNELVERSION: 18
@@ -154,6 +159,15 @@ uwp64-libvlc-llvm:
         LIBVLC_EXTRA_BUILD_FLAGS: -z
         UWP_EXTRA_BUILD_FLAGS: -u -w -x
 
+uwp-arm64-libvlc-llvm:
+    extends: .win-common
+    image:
+        name: $VLC_UWP_LLVM_IMAGE
+    variables:
+        <<: *variables-uwp-arm64
+        LIBVLC_EXTRA_BUILD_FLAGS: -z
+        UWP_EXTRA_BUILD_FLAGS: -u -w -x
+
 .nightly-win-common:
     extends: .win-common
     only:
-- 
2.20.1

